package com.op.mes.domain.dto;

import java.util.Date;
import java.util.List;

public class ProOrderDTO {
    /** ID */
    private String id;

    /** 计划工厂编码 */
    private String factoryCode;

    /** 订单类型 */
    private String orderType;

    /** 订单号 */
    private String orderCode;

    /** 物料号 */
    private String prodCode;

    /** 物料名称 */
    private String prodDesc;

    /** 订单数量 */
    private Long quantity;

    /** 已拆分数量 */
    private Long quantitySplit;

    /** 单位 */
    private String unit;

    /** 任务清单 */
    private String workerOrder;

    /** 计划生产日期 */
    private Date planProDate;

    /** 计划完成日期 */
    private Date planComplete;

    /**  */
    private String atrr1;

    /**  */
    private String atrr2;

    /**  */
    private String atrr3;

    /** 0未拆分 */
    private String status;

    /** 上级工单 */
    private String parentOrder;

    /** 产品类型 */
    private String prodType;

    /** 物料型号 */
    private String ProdSpc;

    private List<ProOrderDTO> children;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getFactoryCode() {
        return factoryCode;
    }

    public void setFactoryCode(String factoryCode) {
        this.factoryCode = factoryCode;
    }

    public String getOrderType() {
        return orderType;
    }

    public void setOrderType(String orderType) {
        this.orderType = orderType;
    }

    public String getOrderCode() {
        return orderCode;
    }

    public void setOrderCode(String orderCode) {
        this.orderCode = orderCode;
    }

    public String getProdCode() {
        return prodCode;
    }

    public void setProdCode(String prodCode) {
        this.prodCode = prodCode;
    }

    public String getProdDesc() {
        return prodDesc;
    }

    public void setProdDesc(String prodDesc) {
        this.prodDesc = prodDesc;
    }

    public Long getQuantity() {
        return quantity;
    }

    public void setQuantity(Long quantity) {
        this.quantity = quantity;
    }

    public Long getQuantitySplit() {
        return quantitySplit;
    }

    public void setQuantitySplit(Long quantitySplit) {
        this.quantitySplit = quantitySplit;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public String getWorkerOrder() {
        return workerOrder;
    }

    public void setWorkerOrder(String workerOrder) {
        this.workerOrder = workerOrder;
    }

    public Date getPlanProDate() {
        return planProDate;
    }

    public void setPlanProDate(Date planProDate) {
        this.planProDate = planProDate;
    }

    public Date getPlanComplete() {
        return planComplete;
    }

    public void setPlanComplete(Date planComplete) {
        this.planComplete = planComplete;
    }

    public String getAtrr1() {
        return atrr1;
    }

    public void setAtrr1(String atrr1) {
        this.atrr1 = atrr1;
    }

    public String getAtrr2() {
        return atrr2;
    }

    public void setAtrr2(String atrr2) {
        this.atrr2 = atrr2;
    }

    public String getAtrr3() {
        return atrr3;
    }

    public void setAtrr3(String atrr3) {
        this.atrr3 = atrr3;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getParentOrder() {
        return parentOrder;
    }

    public void setParentOrder(String parentOrder) {
        this.parentOrder = parentOrder;
    }

    public String getProdType() {
        return prodType;
    }

    public void setProdType(String prodType) {
        this.prodType = prodType;
    }

    public String getProdSpc() {
        return ProdSpc;
    }

    public void setProdSpc(String prodSpc) {
        ProdSpc = prodSpc;
    }

    public List<ProOrderDTO> getChildren() {
        return children;
    }

    public void setChildren(List<ProOrderDTO> children) {
        this.children = children;
    }

    @Override
    public String toString() {
        return "ProOrderDTO{" +
                "id='" + id + '\'' +
                ", factoryCode='" + factoryCode + '\'' +
                ", orderType='" + orderType + '\'' +
                ", orderCode='" + orderCode + '\'' +
                ", prodCode='" + prodCode + '\'' +
                ", prodDesc='" + prodDesc + '\'' +
                ", quantity=" + quantity +
                ", quantitySplit=" + quantitySplit +
                ", unit='" + unit + '\'' +
                ", workerOrder='" + workerOrder + '\'' +
                ", planProDate=" + planProDate +
                ", planComplete=" + planComplete +
                ", atrr1='" + atrr1 + '\'' +
                ", atrr2='" + atrr2 + '\'' +
                ", atrr3='" + atrr3 + '\'' +
                ", status='" + status + '\'' +
                ", parentOrder='" + parentOrder + '\'' +
                ", prodType='" + prodType + '\'' +
                ", ProdSpc='" + ProdSpc + '\'' +
                ", children=" + children +
                '}';
    }

    public ProOrderDTO() {
    }
}
